// pages/member/rankingListSecond/rankingListSecond.js
var app = getApp();
Page({

  /**
	 * 页面的初始数据
	 */
  data: {
    language: '',
    list: [],
    optype:1,
    // 自定义语言
    merchant_center:"",
    merchant_people:"",
    merchant_reward:"",
    merchant_title:"",
  },

  /**
	 * 生命周期函数--监听页面加载
	 */
  onLoad: function(options) {
    if (options.type) {
      this.data.optype = options.type;
    }
    this.getData(); // 获取数据
    this.initLang();
  },

  /**
	 * 生命周期函数--监听页面初次渲染完成
	 */
  onReady: function() {
    let language = wx.getStorageSync('langIndex');
    this.setData({ 'language': language.en});
  },

  /**
	 * 生命周期函数--监听页面显示
	 */
  onShow: function() {},

  /**
	 * 生命周期函数--监听页面隐藏
	 */
  onHide: function() {},

  /**
	 * 生命周期函数--监听页面卸载
	 */
  onUnload: function() {},

  /**
	 * 页面相关事件处理函数--监听用户下拉动作
	 */
  onPullDownRefresh: function() {},

  /**
	 * 页面上拉触底事件的处理函数
	 */
  onReachBottom: function() {},

  /**
	 * 用户点击右上角分享
	 */
  onShareAppMessage: function() {},

  // 获取数据
  getData() {
    let urlStr = "";
    if (this.data.optype == 1) {
      urlStr = app.getNetAddresss('plugin.merchant.frontend.staff-supplier-list');
    } else if (this.data.optype == 2) {
      urlStr = app.getNetAddresss('plugin.merchant.frontend.center-supplier-list');
    }
    app._getNetWork({
      url: urlStr,
      success: (res) => {
        let resdata = res.data;
        if (resdata.result === 1) {
          this.setData({
            list: resdata.data
          });
        } else {
          wx.showToast({
            title: resdata.msg,
            icon: 'none'
          });
        }
      },
      fail: function(res) {
        console.log(res);
      }
    });
  },
  initLang(){
    var value = wx.getStorageSync('mailLanguage');
    if (value) {
      let mailLanguage = JSON.parse(value);
      // Do something with return value
      this.setData({
        merchant_center : mailLanguage.merchant.merchant_center || "招商中心",
        merchant_people : mailLanguage.merchant.merchant_people || "招商员",
        merchant_reward : mailLanguage.merchant.merchant_reward || "分红",
        merchant_title : mailLanguage.merchant.title || "招商",
      });
    }
		
  },

  // 跳转到详情
  goToSupplierInfo(item) {
    let id = item.currentTarget.dataset.item.id || item.target.dataset.item.id;
    wx.navigateTo({
      url: '/packageB/member/enterprise/enterprise_supplier_info/enterprise_supplier_info' + '?id=' + id
    });
  }

});
